let
  theme = import ../../modules/desktop-environments/hyprland/theme.nix;

  # Displays
  display = {
    input = "eDP-1";
    resolution = "3456x2234";
    refreshRate = "60.00000";
  };
in
{
  primaryDisplay = display;
  networkInterface = "wlan0";

  wallpaper = [
    "${display.input}, /run/wallpaper.jpg"
  ];

  monitor = [
    "${display.input},${display.resolution}@${display.refreshRate},0x0,1.25,bitdepth,10,cm,hdr,sdrbrightness,1.2,sdrsaturation,0.98"
  ];

  # monitorv2 = {
  #   output = "eDP-1";
  #   mode = "3456x2234@60.00000";
  #   position = "0x0";
  #   scale = "1.25";
  #   #bitdepth,10,cm,hdr,sdrbrightness,1.2,sdrsaturation,0.98"
  # };

  workspace = [
    "name:firefox, monitor:${display.input}, default:false, special, class:(.*firefox.*)"
    "name:discord, monitor:${display.input}, default:true, special, title:(.*vesktop.*), title:(.*Apple Music.*)"
    "name:steam, monitor:${display.input}, default:false, special, class:(.*[Ss]team.*)"
  ];

  windowRule = [
    # "tag +fakefull, fullscreen: 0"
    # "float, tag:fakefull"
    # "size 3356 2160, tag:fakefull"
    # "move 100 74, tag:fakefull"
    # "noanim, tag:fakefull"
    # "noblur, tag:fakefull"
    # "norounding, tag:fakefull"
    # "noshadow, tag:fakefull"
    # "immediate, tag:fakefull"
    # "noborder, tag:fakefull"
    # "nodim, tag:fakefull"
    # "idleinhibit, tag:fakefull"
    "size 2160 3356, tag:horizonrdp"
  ];

  waybar = {
    layer = "top";

    modules-right = [
      "temperature"
      "temperature#gpu"
      "keyboard-state#capslock"
      "keyboard-state#numlock"
      "wireplumber#sink"
      # "wireplumber#source"
      "bluetooth"
      "network"
      "idle_inhibitor"
      "clock"
      "battery"
      "custom/weather"
    ];

    moduleStyle = {
      window = {
        margin-right = "75rem";
      };
      temperature = {
        location = "${theme.waybar.borderLeft}";
        border-radius = "1";
      };
    };
  };
}
